/* General css rules */
* {
  border: 0;
  margin: 0;
  padding: 0;
  list-style: none;
  font-family: "Nunito Sans", sans-serif;
  text-decoration: none;
  scroll-behavior: smooth;
}
/* Section 1 */
.section1 {
  background-image: url("../images/backgroundImg.png");
}
.section1Grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  place-items: center;
  padding-top: 88px;
  gap: 0%;
}
.container-fluid{
    padding:0 60px;
}
.navbarWrapper{
    width:100%;
}
.navbar{
    padding:0;
}
.section1Left {
  display: flex;
  color: black;
  flex-direction: column;
  padding-top: 0;
}
.section1Right{
    height: 38vw;
}
.simpleAndSmart {
  font-size: 16px;
  font-weight: 500;
  margin-bottom: 10px;
}
.searchAndFind {
  font-size: 35px;
  line-height: 28px;
  font-weight: 800;
  margin-bottom: 10px;
}
.section1Heading {
  font-size: 35px;
  line-height: 40px;
  font-weight: 900;
  margin-bottom: 10px;
}
.section1Para {
  font-size: 16px;
  font-weight: 400;
  margin-bottom: 10px;
  width: 85%;
  color: rgb(126, 126, 126, 0.5);
}
.section1SearchbarContainer {
  visibility: hidden;
  margin: 20px 0px -20px 0px;
  height: 50px;
  width: 90%;
  background-color: white;
  border-radius: 10px;
  outline: 1px solid rgb(88, 153, 204);
}
.section1SearchbarButton {
  background-color: #396383;
  border-radius: 10px;
  margin-right: 2%;
  height: 80%;
  padding: 0% 5%;
  color: white;
  font-size: 16px;
}
.section1RightImg {
    height: 100%;
    width: 100%;
}
.section1SearchbarContainer .playStore {
  position: absolute;
}
/* Section 2 */
.section2 {
  display: flex;
  flex-direction: column;
  padding-bottom: 30px;
}
.section4 {
  display: flex;
  flex-direction: column;
  margin: 0!important;
  padding-bottom: 30px;
}
.section2Header {
  font-size: 40px;
  font-weight: 800;
  margin-left: 5%;
  margin-top: 5%;
}
.sortContainer {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0% 5%;
  font-weight: 600;
  font-size: 16px;
  margin-top: 2%;
}
.sort {
  margin-right: 1%;
}
.viewAll {
  position: absolute;
  font-size: 16px;
  right: 8%;
  cursor: pointer;
}
.categoryContainer {
  display: grid;
  padding: 12px 1px;
  /* grid-template-columns: repeat(4,1fr); */
  grid-template-columns: repeat(6,1fr);
  gap: 20px;
  margin-top: 1;
  overflow:hidden;
  }
.category {
  position: relative;
  border-radius: 12px;
  transition: outline 0.15s, box-shadow 0.3s;
  padding: 12px;
  background: white;
  outline: 1px solid grey;
  text-decoration: none;
  /* min-height: 264px; */
  height: 150px;
  width: 154px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}
.categoryContainer a{
    text-decoration: none;
}
.category:hover {
  outline: 1px solid #5899cc;
  box-shadow: rgba(136, 165, 191, 0.48) 6px 2px 16px 0px, rgba(255, 255, 255, 0.8) -6px -2px 16px 0px;
}
.categoryDiv1 {
  position: absolute;
  text-align: center;
  color: white;
  left: 0;
  font-size: 12px;
  top: 0px;
  padding: 5px;
  background-color: #5899cc;
  /* width: 28%; */
  border-top-left-radius: 10px;
}
.imgContainer{
    display: flex;
    justify-content: center;
    /* height:180px; */
    height:70px;
    width: 100%;
    padding: 5px;
    /*margin: 15% auto 0% auto;*/
    
}
.category img {
  max-height: 100%;
  max-width: 100%;
  object-fit: contain;
  
}
.addTo {
  padding: 10px 20px;
  background-color: black;
  margin: -10px 70px 10px 70px;
  text-align: center;
  color: white;
  border-radius: 12px;
  visibility: hidden;
}
.categoryName {
  display: flex;
  align-items: center;
  justify-content: center;
  /* margin: 10px 0px; */
  text-align: center;
  font-size: 14px;
  font-weight: 700;
  line-height: 20px;
  color: black !important;
  
}

/* Section 3 */
.section3{
    background: url("../images/Screenshot\ \(64\).png");
}
.section3Container {
  display: grid;
  height: 100%;
  grid-template-columns: 1.5fr 1fr;
  color: white;
  align-items: center;
}
.section3Left {
  font-size: 30px;
  font-weight: 800;
  padding: 10%;
  padding: 0;
}
.section3LeftButton {
  color: black;
  place-content: center;
  border-radius: 10px;
  font-weight: 800;
  font-size: 14px;
  padding: 10px 20px;
  margin-top: 12px;
}
.section3Right{
  height: 100%;
  width: 100%;
  overflow: hidden;
}
.section3Right img{
  height: 100%;
  width: 100%;
  object-fit: cover;
}
/* section 4 */
.section4Header {
  display: flex;
  align-items: center;
  margin-left: 0!important;
  margin: 30px 0 25px;
}
.section4Heading {
  font-size: 28px!important;
  font-weight: 700;
}
.section4ViewAll {
  position: absolute;
  right: 8%;
}
.section4Container {
  display: grid;
  grid-template-columns: repeat(4,1fr);
  padding: 0!important;
  column-gap: 10px;
}
.section4 .section4Container{
    row-gap: 15px;
}
.section4 .section4Category {
  position: relative;
  height: 100%;
  width:100%;
  border-radius: 20px;
  transition: outline 0.25s, box-shadow 0.3s;
  outline: 1px solid grey;
  background-color: #fff;
  padding: 6px 5px 10px;
}
.section4Category:hover {
  outline: 1px solid #5899cc;
  box-shadow: 0px 0px 53px -14px rgb(165, 165, 165);
}
.footerWrapper{
    height:100%!important;
    width:100%!important;
    max-height: 100%!important;
}
.footerWrapper .logoContainer{
    width: 200px;
}
.footerWrapper .footerLogo{
    width: 100%;
    height:100%;
}
.footerContainer{
    width: 45%!important;
    margin-top: 0%!important;
}
.follow_us a{
    margin: 0 6px;
}
.follow_us a i{
    transform: rotate(0deg);
    transition: all ease-in-out .6s;
}
.follow_us a:hover i{
    transform: rotate(360deg);
}
.playStoreContainer{
    height:100%!important;
    padding:12px 14px!important;
}
.playStoreWrapper .playStore{
    height: 100%;
    width: 200px!important;
}
/*.section4Element {*/
/*  height: 60vh;*/
/*  width: 100%;*/
/*  background-color: #fffaaf;*/
/*}*/
.section4ShareImg {
  display: flex;
  position: absolute;
  padding: 5px;
  background-color: white;
  border-radius: 999px;
  margin-top: 8px;
  margin-left: 85%;
}

/*.section4ProductImg {*/
/*  display: flex;*/
/*  align-items: center;*/
/*  justify-content: center;*/
/*  padding: 5%;*/
/*  padding-bottom: 0%;*/
/*  object-fit: cover;*/
/*  height: 45%;*/
/*  width: 90%;*/
/*  overflow: hidden;*/
/*}*/
/*.section4ProductImg img {*/
/*  }*/
.section4 .imgContainer{
    display: flex;
    align-items:center;
    justify-content: center;
    height: auto;
    width: 100%!important;
    padding: 5px;
    border-radius: 10px;
    /*margin: 15% auto 0% auto;*/
}
.section4 .imgContainer img{
    border-radius: 10px;
    width: 175px;
    height: 175px;
    object-fit:contain!important;
}

.section4InnerContainer {
  height: auto;
  width: 95%;
  background-color: #fff;
  margin-left: auto;
  margin-right: auto;
  margin-top: 5px;
  border-radius: 20px;
  text-align: center;
}
.discountContainer {
  display: none;
  position: relative;
}
.section4DiscountImg {
  position: absolute;
  right: 5px;
  top: -2px;
  height: 45px;
}
.section4Discount {
  position: absolute;
  right: 8px;
  top: 5px;
  color: white;
  font-weight: 600;
  font-size: 10px;
}
.section4InnerContainerName {
  font-weight: 700;
  font-size: 18px;
}
.section4InnerContainerCategory {
  color: #5899cc;
  margin-bottom: 10px;
}
.section4SubContainer {
  position: relative;
  margin: 0px;
}
.section4SubContainerText{
    text-align:left;
    width: 150px;
    height: 20px;
    overflow: hidden;
    text-overflow: ellipsis;
}
.section4Location,
.section4Delivery {
  display: flex;
  margin-left: 10px;
  font-size: 12px;
  line-height: 20px;
  margin: 0px;
}
.section4SubContainerIcon {
  margin-right: 5px;
}
.visitShop {
  position: absolute;
  top: 5px;
  right: 10px;
  font-size: 10px;
  padding: 8px 15px;
  background-color: #396383;
  color: white;
  border-radius: 5px;
}
.callShop {
  padding: 8px;
  width: 80%;
  background-color: #396383;
  color: white;
  border-radius: 5px;
  margin-top: 10px;
}
body .pac-container{
    width: 40% !important;
    left: 50% !important;
    transform: translateX(-50%) !important;
    /*top: 382px !important;*/
    border-top: 0 !important;
    -webkit-box-shadow: 0 4px 6px rgba(0,0,0,.3) !important;
    box-shadow: 0 4px 6px rgba(0,0,0,.3) !important;
}
body #locationDialog, #shopTimingDialog{
    border-radius: 0 !important;
    top: 47%;
}
body .pac-logo:after{
    display:none !important;
}
.home-prdt-img-wrap img{
    width: 1300px;
    height: 300px;
}



/*                   


Mobile View Css Rules


*/
@media only screen and (max-width: 900px) {
    
    
  /* Mobile Section 1 Rules*/
  .section1 {
    background-image: url("");
    display:none;
  }
  .section1Grid {
    grid-template-columns: 1fr;
    padding: 0%;
    place-items: center;
    gap: 0%;
    padding-top: 140px;
    text-align: center;
    width: 90%;
    margin-left: -5%;
  }
  .section1Left {
    display: flex;
    color: black;
    flex-direction: column;
    padding-top: 0vh;
    order: 2;
    width: 80%;
    margin-left: -5%;
  }
  .simpleAndSmart {
    display: none;
    font-size: 12px;
    font-weight: 500;
    margin-bottom: 10px;
  }
  .searchAndFind {
    display: none;
    font-size: 24px;
    font-weight: 800;
    margin-bottom: 10px;
  }
  .section1Heading {
      text-align:center;
    font-size: 24px;
    font-weight: 900;
    margin-bottom: 10px;
    margin-left: 0%;
    width: 135%;
  }
  .section1Center {
    background-color: #fff;
  }
  .section1Para {
    display: none;
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    margin-left: 2%;
    margin-bottom: 10px;
    width: 90%;
    color: rgba(71, 71, 71, 0.5);
  }
  .section1SearchbarContainer {
    margin-left: auto;
    margin-right: auto;
    height: 50px;
    width: 80%;
    background-color: white;
    border-radius: 20px;
    outline: 1px solid rgb(88, 153, 204);
    margin-top: 15px;
  }
  .section1SearchbarButton {
    background-color: rgb(88, 153, 204);
    border-radius: 20px;
    margin-right: 0%;
    height: 80%;
    padding: 0% 5%;
    color: white;
    font-size: 14px;
  }
  .section1Right {
    order: 1;
  }
  .section1RightImg {
    display: none;
    height: 20vh;
  }
  .section1SearchbarContainer .playStore {
    visibility: hidden !important;
    position: absolute;
    height: 5vh;
  }
  /* Mobile Section 2 Rules */
  .quote {
    margin-top: 10%;
  }
  .section2 {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 36%;
    font-size: 14px;
    padding-bottom: 0%;
    padding-top: 0px!important;
  }
  .section2Header {
    font-size: 24px;
    text-align: left;
    margin-top: 0px;
  }
  .sortContainer {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 5% 0%;
    padding-bottom: 0px;
    font-weight: 600;
    font-size: 14px;
    width: 90%;
  }
  .sort {
    margin-left: 10px;
    font-size: 16px;
  }
  .viewAll {
    position: absolute;
    right: 0px;
    margin-left: 0px;
    margin-right: 0px;
    font-size: 14px;
    width: 20%;
  }
  .categoryContainer {
    display: grid;
    grid-template-columns: auto auto;
    grid: auto auto;
    margin: 1% 0%;
    row-gap:0px !important;
    column-gap: 0px !important;
    /*height: 52vh;*/
    height: fit-content;
    padding: 0px;
    width: 100%;
  }
  
  .category {
    height: 154px;
    min-height: 156px;
    border-radius: 12px;
    margin: 8px;
    outline: 1px solid grey;
    padding: 12px 8px;
    width:180px;
  }
  .categoryDiv1 {
    display: none;
    margin-bottom: 0px;
  }
  .imgContainer{
    display: flex;
    height: 88px;
    width: 95%;
    padding: 0;
    /*margin: 15% auto 0% auto;*/
}
    .category img {
      height: 100%;
      width: 100%;
      object-fit: contain;
    }

  .categoryName {
    font-weight: 500;
    font-size: 14px;
    line-height: 18px;
    background-color: #fff;
    padding: 0;
    border-radius: 12px;
    margin: 10px 0 0;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    max-height: 36px;
  }
  
  /* Mobile Section 3 Rules */
  .section3Container {
    grid-template-columns: auto;
    color: white;
    display:flex;
    padding: 12px 0;
    text-align: center;
  }
  .section3Left {
    font-size: 24px;
    line-height: 28px;
    font-weight: 800;
    padding-bottom: 0px;
  }
  .section3LeftHeading{
      font-size:20px;
      line-height:22px;
  }
  .section3LeftButton {
    color: black;
    border-radius: 10px;
    font-weight: 700;
    font-size: 12px;
    padding: 6px 10px;
    margin-top: 8px;
    margin-bottom: 0%;
  }
  .section3Right img {
    height: 100%;
    width: 100%;
    object-fit: contain;
  } 
  .section3{
      margin-top:24px;
  }
  .lastSection .lastSectionWrapper{
      padding:0!important;
  }
  /* Mobile Section 4 Rules */
  .section4 .imgContainer{
    display: flex;
    align-items:center;
    justify-content: center;
    height: 90%;
    width: 80%;
    padding: 10px;
    border-radius: 10px;
    overflow: hidden;
    /*background-color: blue;*/
}
.section4 .imgContainer img{
    border-radius: 10px;
    /*width: 100%;*/
}
  .section4Header {
    display: flex;
    align-items: center;
    justify-content: start !important;
    margin:0px;
    margin-top: 0;
    width: 100%;
  }
  .section4Heading {
    display: flex;
    text-align: left !important;
    margin-top: 10px;
    font-size: 24px!important;
    line-height: 27px;
    font-weight: 800;
  }
  .section4ViewAll {
    right: 5%;
  }
  .section4Container {
    display: grid;
    grid-template-columns: 1fr;
    padding: 5% 0px;
    gap: 20px;
  }
  .section4 .section4Category {
    display: flex;
    flex-direction: row;
    padding: 8px;
    position: relative;
    height: 100% !important;
    width: 100%;
    border-radius: 10px;
    overflow: hidden;
    outline: 1px solid rgb(189, 189, 189);
    transition: outline 0.15s, box-shadow 0.3s;
    margin-top: 4px;
  }
  .section4Heading{
      margin: 0px 0 5px!important;
  }
  .lastSectionWrapper{
      padding-top: 15px;
  }
  .lastSectionTitle{
      font-size: 18px;
  }
  .lastSectionPara{
      font-size: 14px;
  }
  .section4Category:hover {
    outline: 1px solid #5899cc;
    box-shadow: 0px 0px 53px -14px rgb(165, 165, 165);
  }

  .section4Element {
    height: 60vh;
    width: 100%;
  }
  .section4ShareImg {
    display: flex;
    position: absolute;
    padding: 5px;
    background-color: rgb(233, 233, 233);
    border-radius: 999px;
    margin: 0px;
    margin-top: 8px;
    right: 5px;
    z-index: 1;
  }
  .section4 .imgContainer{
    height: 100%!important;  
  }
  .section4InnerContainer {
    height: 100%;
    width: 100%;
    text-align:left !important;
    background-color: #fff;
    margin: 0px;
    border-radius: 10px;
    text-align: left;
  }
  .discountContainer {
    display: none;
    position: relative;
  }
  .section4DiscountImg {
    position: absolute;
    right: 5px;
    top: -2px;
    height: 45px;
  }
  .section4Discount {
    position: absolute;
    right: 8px;
    top: 5px;
    color: white;
    font-weight: 600;
    font-size: 10px;
  }
 .section4InnerContainer {
  height: 100%;
  width: 100%;
  background-color: #fff;
  margin-left: 0;
  margin-right: 0;
  margin-top: 0px;
  border-radius: 20px;
  text-align: center;
}
  .section4InnerContainerName {
    padding-top: 5px;
    font-weight: 800;
    font-size: 14px;
  }
  .section4InnerContainerCategory {
    color: #5899cc;
    margin-bottom: 5px;
    font-size: 13px!important;
    line-height:1;
  }
  .section4SubContainer {
      padding:0px;
    position: relative;
    text-align:left;
    width: 100%;
    font-size:13px !important;
  }
  .section4SubContainerText{
    text-align:left;
    width: auto;
    height: 20px;
    overflow: hidden;
    text-overflow: ellipsis;
}
  .section4Location,
  .section4Delivery {
    display: flex;
    margin-left: 0px;
    font-size: 12px;
    line-height: 20px;
  }
  .section4SubContainerIcon {
    margin-right: 5px;
  }
  .visitShop,
  .callShop {
    position: absolute;
    top: 120%;
    left: 3%;
    width: 45%;
    font-size: 10px;
    padding: 8px !important;
    color: #396383;
    background-color: white;
    outline: 1px solid #396383 !important;
    color: black;
    border-radius: 5px;
  }
  .visitShop {
    background-color: white !important;
    
  }
  .callShop {
    background-color: #396383 !important;
    color: white !important;
    margin-top: 0%;
    left: 52%;
  }
  .callShop:active{
      color:white !important;
  }
  .visitShop:hover,
  .callShop:hover {
      color:inherit !important;
  }
  .container-fluid{
    padding:0 8px;
}
.home-prdt-img-wrap img{
    width:100%;
    height:130px;
    border-radius:8px;
}
.home-prdt-banner{
        margin: 30px 0;
}
.section2 .section4Heading{
    margin-top: 12px !important;
}
  
}
